Package picard.analysis

# Class CollectWgsMetricsWithNonZeroCoverage

java.lang.Object
picard.cmdline.CommandLineProgram
picard.analysis.CollectWgsMetrics
picard.analysis.CollectWgsMetricsWithNonZeroCoverage

@DocumentedFeature @ExperimentalFeature public class CollectWgsMetricsWithNonZeroCoverage extends CollectWgsMetrics

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`CollectWgsMetricsWithNonZeroCoverage.WgsMetricsWithNonZeroCoverage`
Metrics for evaluating the performance of whole genome sequencing experiments.
`protected class`
`CollectWgsMetricsWithNonZeroCoverage.WgsMetricsWithNonZeroCoverageCollector`

## Nested classes/interfaces inherited from class picard.analysis.CollectWgsMetrics

`CollectWgsMetrics.CollectWgsMetricsIntervalArgumentCollection, CollectWgsMetrics.WgsMetricsCollector`

## Field Summary

Fields
Modifier and Type
Field
Description
`File`
`CHART_OUTPUT`

### Fields inherited from class picard.analysis.CollectWgsMetrics

`ALLELE_FRACTION, COUNT_UNPAIRED, COVERAGE_CAP, INCLUDE_BQ_HISTOGRAM, INPUT, intervalArgumentCollection, INTERVALS, LOCUS_ACCUMULATION_CAP, MINIMUM_BASE_QUALITY, MINIMUM_MAPPING_QUALITY, OUTPUT, READ_LENGTH, SAMPLE_SIZE, STOP_AFTER, THEORETICAL_SENSITIVITY_OUTPUT, USE_FAST_ALGORITHM`

### Fields inherited from class picard.cmdline.CommandLineProgram

`COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, SYNTAX_TRANSITION_URL, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

## Constructor Summary

Constructors
Constructor
Description
`CollectWgsMetricsWithNonZeroCoverage()`

## Method Summary

Modifier and Type
Method
Description
`protected String[]`
`customCommandLineValidation()`
Put any custom command-line validation in an override of this method.
`protected int`
`doWork()`
Do the work after command line has been parsed.
`protected WgsMetrics`
`generateWgsMetrics(htsjdk.samtools.util.IntervalList intervals, htsjdk.samtools.util.Histogram<Integer> highQualityDepthHistogram, htsjdk.samtools.util.Histogram<Integer> unfilteredDepthHistogram, double pctExcludedByAdapter, double pctExcludedByMapq, double pctExcludedByDupes, double pctExcludedByPairing, double pctExcludedByBaseq, double pctExcludedByOverlap, double pctExcludedByCapping, double pctTotal, int coverageCap, htsjdk.samtools.util.Histogram<Integer> unfilteredBaseQHistogram, int sampleSize)`
`protected CollectWgsMetrics.WgsMetricsCollector`
`getCollector(int coverageCap, htsjdk.samtools.util.IntervalList intervals)`
Creates `AbstractWgsMetricsCollector` implementation according to `CollectWgsMetrics.USE_FAST_ALGORITHM` value.
`protected htsjdk.samtools.SamReader`
`getSamReader()`
Gets the SamReader from which records will be examined.

### Methods inherited from class picard.analysis.CollectWgsMetrics

`getBasesExcludedBy, getIntervalsToExamine, getLocusIterator, getSamFileHeader, makeIntervalArgumentCollection, requiresReference`

### Methods inherited from class picard.cmdline.CommandLineProgram

`checkRInstallation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, setDefaultHeaders, useLegacyParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CHART_OUTPUT

@Argument(shortName="CHART", doc="A file (with .pdf extension) to write the chart to.") public File CHART_OUTPUT

## Constructor Details

### CollectWgsMetricsWithNonZeroCoverage

public CollectWgsMetricsWithNonZeroCoverage()

## Method Details

### customCommandLineValidation

protected String[] customCommandLineValidation()
Description copied from class: `CommandLineProgram`
Put any custom command-line validation in an override of this method. clp is initialized at this point and can be used to print usage and access argv. Any options set by command-line parser can be validated.

Overrides:
  `customCommandLineValidation` in class `CommandLineProgram`
Returns:
  null if command line is valid. If command line is invalid, returns an array of error message to be written to the appropriate place.

### getSamReader

protected htsjdk.samtools.SamReader getSamReader()
Description copied from class: `CollectWgsMetrics`
Gets the SamReader from which records will be examined. This will also set the header so that it is available in

Overrides:
  `getSamReader` in class `CollectWgsMetrics`

### doWork

protected int doWork()
Description copied from class: `CommandLineProgram`
Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.

Overrides:
  `doWork` in class `CollectWgsMetrics`
Returns:
  program exit status.

### generateWgsMetrics

protected WgsMetrics generateWgsMetrics(htsjdk.samtools.util.IntervalList intervals, htsjdk.samtools.util.Histogram<Integer> highQualityDepthHistogram, htsjdk.samtools.util.Histogram<Integer> unfilteredDepthHistogram, double pctExcludedByAdapter, double pctExcludedByMapq, double pctExcludedByDupes, double pctExcludedByPairing, double pctExcludedByBaseq, double pctExcludedByOverlap, double pctExcludedByCapping, double pctTotal, int coverageCap, htsjdk.samtools.util.Histogram<Integer> unfilteredBaseQHistogram, int sampleSize)

Overrides:
  `generateWgsMetrics` in class `CollectWgsMetrics`

### getCollector

protected CollectWgsMetrics.WgsMetricsCollector getCollector(int coverageCap, htsjdk.samtools.util.IntervalList intervals)
Description copied from class: `CollectWgsMetrics`
Creates `AbstractWgsMetricsCollector` implementation according to `CollectWgsMetrics.USE_FAST_ALGORITHM` value.

Overrides:
  `getCollector` in class `CollectWgsMetrics`
Parameters:
  `coverageCap` - the maximum depth/coverage to consider.
  `intervals` - the intervals over which metrics are collected.
Returns:
  if `CollectWgsMetrics.USE_FAST_ALGORITHM` is enabled, returns `FastWgsMetricsCollector` implementation, otherwise default algorithm is used and `CollectWgsMetrics.WgsMetricsCollector` is returned.